﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SampleComboBox
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            this.BindingContext = new ViewModel();
        }

    }


    public class DateTimeObject
    {
        public DateTime DateAndTime { get; set; }
        public int Id { get; set; }

        public DateTimeObject(int id, DateTime dt)
        {
            id = Id;
            DateAndTime = dt;
        }
    }
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<DateTimeObject> suggestion;
        public ObservableCollection<DateTimeObject> Suggestion
        {
            get { return suggestion; }
            set { suggestion = value; }
        }


        public ViewModel()
        {
            suggestion = new ObservableCollection<DateTimeObject>();
            suggestion.Add(new DateTimeObject(1, new DateTime(2019, 08, 16)));
            suggestion.Add(new DateTimeObject(1, new DateTime(2019, 08, 17)));
            suggestion.Add(new DateTimeObject(1, new DateTime(2019, 08, 18)));
            suggestion.Add(new DateTimeObject(1, new DateTime(2019, 08, 19)));

        }
        public event PropertyChangedEventHandler PropertyChanged;
        private void RaisePropertyChanged(String name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }

    public class EmptyStringToNullConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                value = "test";// value.ToString();
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                return null;
            }
            else
            {
                return value;
            }
        }
    }

}